NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Public Member Functions | Properties | List of all members
NXOpen.GeometricUtilities.CurveLengthBuilder Class Reference

Represents a NXOpen.GeometricUtilities.CurveLengthBuilder builder More...

Inheritance diagram for NXOpen.GeometricUtilities.CurveLengthBuilder:
NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  EndObjectType { Value, FromSelected }
 This attribute represents end type More...
 

Public Member Functions

unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe NXOpen.Expression EndOffset0 [get]
 Returns the end 1 length More...
 
unsafe NXOpen.Expression EndOffset1 [get]
 Returns the end 2 length More...
 
unsafe
NXOpen.SelectDisplayableObjectList 
EndSelection0 [get]
 Returns the select object for end 1 More...
 
unsafe
NXOpen.SelectDisplayableObjectList 
EndSelection1 [get]
 Returns the select object for end 2 More...
 
unsafe
NXOpen.GeometricUtilities.CurveLengthBuilder.EndObjectType 
EndType0 [get, set]
 Returns or sets the end 1 type More...
 
unsafe
NXOpen.GeometricUtilities.CurveLengthBuilder.EndObjectType 
EndType1 [get, set]
 Returns or sets the end 2 type More...
 
unsafe bool ReverseEndOffset0Direction [get, set]
 Returns or sets the reverse endOffset0 direction flag. More...
 
unsafe bool ReverseEndOffset1Direction [get, set]
 Returns or sets the reverse endOffset1 direction flag. More...
 
unsafe bool ReverseGuideCurveLoopDirection [get, set]
 Returns or sets the reverse guide curve direction flag. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a NXOpen.GeometricUtilities.CurveLengthBuilder builder

Created in NX12.0.0

Member Enumeration Documentation

This attribute represents end type

Enumerator
Value 
FromSelected 

Member Function Documentation

unsafe bool NXOpen.GeometricUtilities.CurveLengthBuilder.Validate ( )
inline

Validate whether the inputs to the component are sufficient for commit to be called.

If the component is not in a state to commit then an exception is thrown. For example, if the component requires you to set some property, this method will throw an exception if you haven't set it. This method throws a not-yet-implemented NXException for some components.

Created in NX3.0.1

License requirements: None.

Returns
Was self validation successful

Implements NXOpen.GeometricUtilities.IComponentBuilder.

Property Documentation

unsafe NXOpen.Expression NXOpen.GeometricUtilities.CurveLengthBuilder.EndOffset0
get

Returns the end 1 length

Created in NX12.0.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.GeometricUtilities.CurveLengthBuilder.EndOffset1
get

Returns the end 2 length

Created in NX12.0.0

License requirements: None.

unsafe NXOpen.SelectDisplayableObjectList NXOpen.GeometricUtilities.CurveLengthBuilder.EndSelection0
get

Returns the select object for end 1

Created in NX12.0.0

License requirements: None.

unsafe NXOpen.SelectDisplayableObjectList NXOpen.GeometricUtilities.CurveLengthBuilder.EndSelection1
get

Returns the select object for end 2

Created in NX12.0.0

License requirements: None.

unsafe NXOpen.GeometricUtilities.CurveLengthBuilder.EndObjectType NXOpen.GeometricUtilities.CurveLengthBuilder.EndType0
getset

Returns or sets the end 1 type

Created in NX12.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.GeometricUtilities.CurveLengthBuilder.EndObjectType NXOpen.GeometricUtilities.CurveLengthBuilder.EndType1
getset

Returns or sets the end 2 type

Created in NX12.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe bool NXOpen.GeometricUtilities.CurveLengthBuilder.ReverseEndOffset0Direction
getset

Returns or sets the reverse endOffset0 direction flag.

Indicates whether the endOffset0 direction has been flipped from its initial inferred direction

Created in NX12.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe bool NXOpen.GeometricUtilities.CurveLengthBuilder.ReverseEndOffset1Direction
getset

Returns or sets the reverse endOffset1 direction flag.

Indicates whether the endOffset1 direction has been flipped from its initial inferred direction

Created in NX12.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe bool NXOpen.GeometricUtilities.CurveLengthBuilder.ReverseGuideCurveLoopDirection
getset

Returns or sets the reverse guide curve direction flag.

Indicates whether the guide curve loop direction has been flipped from its initial inferred direction

Created in NX1847.0.0

License requirements to get this property: None.

License requirements to set this property: None.


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.